<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GTKGLSupport.html">GTKGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GTKGLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a29b121bf19ce6b1d429f9151dfa5125f">_context_ref</a></td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#af24901b37434ed4f65e9260b0ff20288">_kit</a></td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#aae513a127f303967243422faa478c05c">_main_context</a></td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#ad6b503e273f4fac943bde55b33da2ce3">_main_window</a></td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a945b00b48e46c35d07f6224e92e3268f">addConfig</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a2d3fa8fba0933579a905d34201892da2">begin_context</a>(RenderTarget *_target=0)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a670b7bdca00d8c60c3ddaf763b3e74b4">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a36e26ed10e5f16aded817ce67e7492fd">checkMinGLVersion</a>(const String &amp;v) const </td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a97a47c0f69cf87fee09794ec55a46857">createWindow</a>(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a32a473e88dd9c9b69d0eac0bb914f891">end_context</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a04e34d8032488d07d9a11e5f0380aab6">getMainContext</a>() const </td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a5ad1fcb66875e86d0608eb26b6276de4">getProcAddress</a>(const String &amp;procname)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a50729ef52d459529d422f717d12b8264">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a29ae1bf3c244d51ac7cae12733b3c69d">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6f9ba5ca177845957a42cd1bd95f1c92">GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#aae1f23a6b49fa49f0043fc55c649c879">GTKGLSupport</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#ad5810ecfd4497986d8427faa2e60ad60">initialiseExtensions</a>(void)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GTKGLSupport &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a006330778de80990dbbf0b27bde4b4be">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, unsigned int colourDepth, bool fullScreen, int left, int top, bool depthBuffer, RenderWindow *parentWindowHandle, bool vsync)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">Ogre::GLSupport::newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#ab83dcc8d4c807945839909cac8438573">setConfigOptions</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GTKGLSupport &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#a210971bd389a3f83cac848086342dd5e">start</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#ada1cd7ab977c735c1bbae6ec385c8eb9">stop</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GTKGLSupport.html#af42f2d1cf0c9d4ad08dd182697a19228">validateConfig</a>()</td><td><a class="el" href="classOgre_1_1GTKGLSupport.html">Ogre::GTKGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6da70cbba51979f3b3360cd4fc412f75">~GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; GTKGLSupport &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
